import { Extension } from '../../types';

export interface SearchWidget {
    /**
     * Hides the search widget and removes most event listeners.
     * @param focusTextarea Whether the editor's `textarea` should gain focus. Defaults to true.
     */
    close: (focusTextarea?: boolean) => void;
    /**
     * Opens the search widget.
     * @param focusInput Whether the widgets's search input should gain focus. Defaults to true.
     */
    open: (focusInput?: boolean) => void;
}
export declare const searchWidget: () => Extension;
