import { l as languageMap } from "../core-qSbkK8p9.js";
import { h as getClosestToken, d as getLineBefore } from "../index-CFdThse2.js";
import { c as clikeComment, a as clikeIndent, t as testBracketPair, e as autoCloseTags } from "../index-Bhcmk4qx.js";
const space = "(?:\\s|//.*(?!.)|/\\*(?:[^*]|\\*(?!/))*\\*/)";
const braces = "\\{(?:[^{}]|\\{(?:[^{}]|\\{[^}]*\\})*\\})*\\}";
const openingTag = RegExp(
  `(?:^|[^$\\w])<(?:(?!\\d)([^\\s/=><%]+)(?:${space}(?:${space}*(?:[^\\s"'{=<>/*]+(?:${space}*=${space}*(?!\\s)(?:"[^"]*"|'[^']*'|${braces})?|(?=[\\s/>]))|\\{${space}*\\.{3}(?:[^{}]|${braces})*\\}))+)?${space}*)?>[ 	]*$`
);
const closingTag = /^<\/(?!\d)[^\s/=><%]*\s*>/;
const inJsxContext = ({ tags, pairs }, { brackets, pairs: bracketPairs }, position) => {
  for (let i = tags.length, tag, min = 0; tag = tags[--i]; ) {
    if (tag[2] > position && tag[1] < position) min = tag[1];
    else if (!tag[4] && tag[5] && tag[1] >= min && tag[2] <= position && !(tags[pairs[i]]?.[1] < position)) {
      for (let i2 = brackets.length, bracket; bracket = brackets[--i2]; ) {
        if (bracket[1] >= tag[2] && bracket[1] < position && bracket[3] == "{" && !(brackets[bracketPairs[i2]]?.[1] < position)) {
          return;
        }
      }
      return true;
    }
  }
};
const jsxComment = {
  block: ["{/*", "*/}"]
};
languageMap.jsx = languageMap.tsx = {
  comments: clikeComment,
  getComments(editor, position) {
    const { matchBrackets, matchTags } = editor.extensions;
    const inJsx = matchBrackets && matchTags ? inJsxContext(matchTags, matchBrackets, position) : getClosestToken(editor, ".plain-text", 0, 0, position);
    return inJsx ? jsxComment : clikeComment;
  },
  autoIndent: [
    ([start], value) => openingTag.test(value.slice(0, start)) || clikeIndent.test(getLineBefore(value, start)),
    (selection, value) => testBracketPair(selection, value) || openingTag.test(value.slice(0, selection[0])) && closingTag.test(value.slice(selection[1]))
  ],
  autoCloseTags: ([start, end], value, editor) => {
    return autoCloseTags(editor, start, end, value, openingTag);
  }
};
//# sourceMappingURL=jsx.js.map
